summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/network1
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/network1')
-rw-r--r--etc/rc.d/network18
1 files changed, 4 insertions, 4 deletions
diff --git a/etc/rc.d/network1 b/etc/rc.d/network1
index 975fbf5..eac6f3f 100644
--- a/etc/rc.d/network1
+++ b/etc/rc.d/network1
@@ -1,6 +1,6 @@
#!/bin/sh -
#
-# $Id: rc.network,v 1.12 1997/11/07 20:45:34 sef Exp $
+# $Id: rc.network,v 1.13 1997/12/01 06:11:34 obrien Exp $
# From: @(#)netstart 5.9 (Berkeley) 3/30/91
# Note that almost all the user-configurable behavior is no longer in
@@ -58,10 +58,10 @@ network_pass1() {
# Initialize IP filtering using ipfw
echo ""
/sbin/ipfw -q flush > /dev/null 2>&1
- if [ $? = 1 ] ; then
- firewall_in_kernel=0
- else
+ if [ $? = 0 ] ; then
firewall_in_kernel=1
+ else
+ firewall_in_kernel=0
fi
if [ $firewall_in_kernel = 0 -a "x$firewall_enable" = "xYES" ] ; then
OpenPOWER on IntegriCloud